literal.environment
Prev | Miscellaneous | Next

## literal.environment

`literal.environment` — Latex environment used to format verbatim blocks

## Synopsis

          <xsl:param name="literal.environment">
      <xsl:choose>
      <xsl:when test="contains($literal.extensions,'scale')">
        <xsl:text>lstcode</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>lstlisting</xsl:text>
      </xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

It specifies the Latex environment to use to render a verbatim block.

Since dblatex uses the listings package capabilities to handle the DocBook attributes, the specified environment must have the same capabilities if written from scratch, but it is recommended to just extend the listings environment with you own listings extension. See the section called “Creating a new Verbatim Environment” for more details.

The specified environment name must starts with `"lst"`. Otherwise dblatex raises an error and exits.

## See Also

`literal.extensions`.

Prev | Up | Next
literal.role | Home | literal.extensions